Skip to main content
`Ctrl`+`K`

# PetscSFGetLeafRange

Get the active leaf ranges

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetLeafRange(PetscSF sf, PetscInt *minleaf, PetscInt *maxleaf)

Not Collective

## Input Parameter

- sf - star forest

## Output Parameters

- minleaf - minimum active leaf on this MPI process. Returns 0 if there are no leaves.

- maxleaf - maximum active leaf on this MPI process. Returns -1 if there are no leaves.

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFType`, `PetscSFCreate()`, `PetscSFView()`, `PetscSFSetGraph()`, `PetscSFGetGraph()`

## Level

developer

## Location

src/vec/is/sf/interface/sf.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages